package com.iamberry.app.config;

import java.io.InputStream;
import java.util.Properties;

public class ImberryConfig {

	public static String SMS_USERNAME = "";
	public static String SMS_PASSWORD = "";
	public static String SMS_TEXT = "";
	public static String SMS_URL = "";
	public static String SINA_IP_URL = "";
	public static String MASTERSECRET="";
	public static String APPKEY="";
	public static String CDN_URL="";
	public static String BASE_URL=""; //头像前缀

	static {
		Properties pro = new Properties();
		InputStream in = ImberryConfig.class.getClassLoader().getResourceAsStream("iamberry-app-service-config.properties");
		try {
			pro.load(in);
			SMS_USERNAME = pro.getProperty("SMS_USERNAME");
			SMS_PASSWORD = pro.getProperty("SMS_PASSWORD");
			SMS_TEXT = pro.getProperty("SMS_TEXT");
			SMS_URL = pro.getProperty("SMS_URL");
			SINA_IP_URL = pro.getProperty("SINA_IP_URL");
			MASTERSECRET=pro.getProperty("master_secret");
			APPKEY=pro.getProperty("appkey");
			CDN_URL=pro.getProperty("cdnUrl");
			BASE_URL=pro.getProperty("base_url");
			System.out.println("这里需要打印"+BASE_URL);

		} catch (Exception e) {
			e.printStackTrace();
		}
	}
}
